@import url("https://fonts.googleapis.com/css2?family=Noto+Serif+KR:wght@200;500;900&display=swap");
@keyframes gradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

:root {
  --ff-main: "Noto Serif KR", sans-serif;
}

*,
::after,
::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
*:focus {
  outline: red;
}

main {
  min-height: 100vh;
  display: grid;
  place-items: center;
  background: linear-gradient(-45deg, #fc466b, #3f5efb, #fc466b, #3f5efb);
  background-size: 400% 400%;
  animation: gradient 15s ease infinite;
  font-family: var(--ff-main);
  color: light;
}
/* https://codepen.io/P1N2O/pen/pyBNzX (moving gradient effect) */

p {
  line-height: 1.5;
  font-size: 1rem;
  display: inline;
}

/* global classes*/
.container {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  border-radius: 2rem;
  border-color: black;
  padding: 1rem;
  background-color: white;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
  min-width: 30rem;
}
.todoInput {
  width: 28rem;
  margin-bottom: 1rem;
}
.formControl {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 100%;
}
.formInput {
  width: 23rem;
  padding: 0.75rem;
  font-size: 1rem;
  border-radius: 2rem;
  border-color: transparent;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
  padding-left: 1.2rem;
  font-family: var(--ff-main);
}
.todoTitle {
  display: flex;
  text-align: center;
  justify-content: center;
  margin: 1.5rem 0 1.5rem 0;
}
.submitBtn {
  display: flex;
  align-items: center;
  background-color: white;
  border-color: transparent;
  color: grey;
  padding: 0.25rem;
  cursor: pointer;
  border-radius: 2rem;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
}
.submitBtn p {
  font-size: 2rem;
  width: 3rem;
}
.submitBtn:hover {
  background-color: lightgray;
  color: white;
}
.todoSection {
  display: flex;
  flex-direction: column;
  width: 30rem;
  padding: 1rem;
}
h4 {
  margin-bottom: 1rem;
}
.item {
  display: flex;
  width: "100%";
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 1rem;
  border-radius: 2rem;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
  padding: 0.75rem;
}
.itemTitle {
  margin-left: 0.5rem;
  margin-right: 0.5rem;
  font-family: var(--ff-main);
}
.itemFinish {
  background-color: transparent;
  border-color: transparent;
  cursor: pointer;
  border-radius: 2rem;
}
.itemFinish:hover {
  background-color: lightgray;
}
.itemDelete {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 2rem;
  border-color: transparent;
  background-color: transparent;
  border-radius: 10rem;
  margin-right: 0.5rem;
  padding: 0 0.2rem 0 0.2rem;
  cursor: pointer;
}
.itemDelete:hover {
  background-color: lightgray;
}
.doneSection {
  width: 30rem;
  padding: 1rem;
}
i.fa {
  font-family: FontAwesome !important;
  color: grey;
  font-size: 1rem;
}
.footer {
  color: white;
  height: 0;
  font-style: italic;
  font-weight: 900;
  font-size: 1.4rem;
  margin-bottom: 1rem;
  transform: translateY(3rem);
  text-shadow: 2px 2px rgba(0, 0, 0, 0.2);
}
